Subject: Re: [Autoconf] call for consensus about link local address support

From: [email-masked]
Date: Thu, 24 Sep 2009 11:34:30 +0200 (CEST)

Hi Charlie,

|> And yes, random means random.
|>
|
|No problem there, but the question is whether or not
|random is _achievable_.

The answer is: it depends. In my MANETs, I do not need the random or I
have random. I have some security requirements also.

Any idea how to implement a secure protocol on boxes that are not able to
come up with a random number?

What if we define that we need a duplicate detection mechnism, for those
who need it? I accept it should be turned on by default, if a node is not
sure on uniqueness.
My boxes would have it turned off, or run a passive mode.

|> |>  I don't see a reason why
|> |> DYMO won't send messages with link-locals.
 <skip>
|If they are unique (and exist), they work great.  If they do not
|exist, they don't work well for DYMO.  If they aren't unique,
|they do not work well for DYMO.  I was never favorable
|to restricting DYMO so that it would only be applicable in
|situations admitting the configuration of unique link-local
|addresses.

It is defined link-locals must exist on IPv6 interfaces (RFC4291):
>>  All interfaces are required to have at least one Link-Local unicast
>>  address (see Section 2.8 for additional required addresses).

The uniqueness requirement applies on any address, isn't it?
Please explain why fulfilling this requirement for non-link-locals is left
out in this discussion.

Regards, Teco

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 24 Sep 2009 09:26:52 -0700

Hello Teco,

Comments inline...

[email-masked] wrote:
> ...

Preconfigure a shared key, 65,536 bits long, not visible to the user.
That'll work for a few years.

> who need it? I accept it should be turned on by default, if a node is not
This is a matter we don't have to resolve right now.  I'd prefer that
DAD be configurable also.

> It is defined link-locals must exist on IPv6 interfaces (RFC4291):

Well then, let's define a global constant that nodes can use as a LL address
on their IPv6 interface on the condition that the address will never appear
as source or destination IP address in a packet.

I think it is more sensible to update RFC 4291.

We're talking about enabling solutions here, not
professing a religion.

> Please explain why fulfilling this requirement for non-link-locals is left

Who has time to talk about anything but link-locals?
I think we should charter a new working group that
plays discussions about link-locals 24 hours a day,
7 days a week.

Regards,
Charlie P.